lib64pjproject2-2.5.5-4.1.mga6.x86_64.rpm


Advertisement

Description

lib64pjproject2 - Libraries for building embedded/non-embedded VoIP applications

Property Value
Distribution Mageia 6.0
Repository Mageia Core Updates x86_64
Package name lib64pjproject2
Package version 2.5.5
Package release 4.1.mga6
Package architecture x86_64
Package type rpm
Installed size 1.91 MB
Download size 652.34 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This package provides the Open Source, comprehensive, high performance,
small footprint multimedia communication libraries written in C
language for building embedded/non-embedded VoIP applications.
It contains:
- PJSIP - Open Source SIP Stack
- PJMEDIA - Open Source Media Stack
- PJNATH - Open Source NAT Traversal Helper Library
- PJLIB-UTIL - Auxiliary Library
- PJLIB - Ultra Portable Base Framework Library
- PJSUA2 - Object Oriented abstractions layer for PJSUA
This package contains the shared library part of ccrtp.

Alternatives

Package Version Architecture Repository
lib64pjproject2-2.5.5-4.mga6.x86_64.rpm 2.5.5 x86_64 Mageia Core
lib64pjproject2 - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgsm.so.1()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpj.so.2()(64bit) -
libpjlib-util.so.2()(64bit) -
libpjmedia-audiodev.so.2()(64bit) -
libpjmedia-codec.so.2()(64bit) -
libpjmedia-videodev.so.2()(64bit) -
libpjmedia.so.2()(64bit) -
libpjnath.so.2()(64bit) -
libpjsip-simple.so.2()(64bit) -
libpjsip-ua.so.2()(64bit) -
libpjsip.so.2()(64bit) -
libpjsua.so.2()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libspeex.so.1()(64bit) -
libspeexdsp.so.1()(64bit) -
libsrtp.so.1()(64bit) -
libssl.so.1.0.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libuuid.so.1()(64bit) -
libuuid.so.1(UUID_1.0)(64bit) -

Provides

Name Value
lib64pjproject2 == 2.5.5-4.1.mga6
lib64pjproject2(x86-64) == 2.5.5-4.1.mga6
libpj.so.2()(64bit) -
libpjlib-util.so.2()(64bit) -
libpjmedia-audiodev.so.2()(64bit) -
libpjmedia-codec.so.2()(64bit) -
libpjmedia-videodev.so.2()(64bit) -
libpjmedia.so.2()(64bit) -
libpjnath.so.2()(64bit) -
libpjsip-simple.so.2()(64bit) -
libpjsip-ua.so.2()(64bit) -
libpjsip.so.2()(64bit) -
libpjsua.so.2()(64bit) -
libpjsua2.so.2()(64bit) -

Download

Type URL
Binary Package lib64pjproject2-2.5.5-4.1.mga6.x86_64.rpm
Source Package pjproject-2.5.5-4.1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64pjproject2 rpm package:
    # urpmi lib64pjproject2

Files

Path
/usr/lib64/libpj.so.2
/usr/lib64/libpjlib-util.so.2
/usr/lib64/libpjmedia-audiodev.so.2
/usr/lib64/libpjmedia-codec.so.2
/usr/lib64/libpjmedia-videodev.so.2
/usr/lib64/libpjmedia.so.2
/usr/lib64/libpjnath.so.2
/usr/lib64/libpjsip-simple.so.2
/usr/lib64/libpjsip-ua.so.2
/usr/lib64/libpjsip.so.2
/usr/lib64/libpjsua.so.2
/usr/lib64/libpjsua2.so.2
/usr/share/doc/lib64pjproject2/INSTALL.txt
/usr/share/doc/lib64pjproject2/README-RTEMS
/usr/share/doc/lib64pjproject2/README.txt
/usr/share/licenses/lib64pjproject2/COPYING

Changelog

2017-08-12 - daviddavid <daviddavid> 2.5.5-4.1.mga6
+ Revision: 1139885
- add and rediff upstream patch to fix CVE-2017-9359 and CVE-2017-9372 (mga#21505)
2017-06-15 - pterjan <pterjan> 2.5.5-4.mga6
+ Revision: 1107738
- Fix a parallel build problem
2017-01-02 - neoclust <neoclust> 2.5.5-3.mga6
+ Revision: 1079590
- Add pj_ice_strans_get_ice_sess function ( needed for ring-daemon)
- Add PJSIP_TRANSPORT_DTLS ( needed for ring-daemon)
2017-01-01 - neoclust <neoclust> 2.5.5-1.mga6
+ Revision: 1079427
- New version 2.5.5
2016-04-13 - daviddavid <daviddavid> 2.4.5-5.mga6
+ Revision: 1001039
- rebuild against libsrtp (srtp was removed)
- use new python macros
- include config_site.h file to improve performance from fedora
- add -DNDEBUG to CFLAGS at request of Asterisk developers from fedora
2016-03-03 - umeabot <umeabot> 2.4.5-4.mga6
+ Revision: 983909
- Rebuild for openssl
2016-02-16 - umeabot <umeabot> 2.4.5-3.mga6
+ Revision: 962102
- Mageia 6 Mass Rebuild
2015-11-08 - daviddavid <daviddavid> 2.4.5-2.mga6
+ Revision: 899113
- remove nonexistent requires
2015-11-07 - daviddavid <daviddavid> 2.4.5-1.mga6
+ Revision: 898483
- new version: 2.4.5
- create sub-packages for pjsua and python bindings
- fix endian support for aarch64
- add missing BuildRequires on speexdsp to fix build
2015-02-08 - alien <alien> 2.3-1.mga5
+ Revision: 814093
- imported package pjproject

See Also

Package Description
lib64plasma-desktop-devel-5.12.2-1.mga6.x86_64.rpm Devel stuff for plasma-desktop
lib64plasma-geolocation-interface5-5.12.2-1.mga6.x86_64.rpm KF 5 application workspace components
lib64plasma-workspace-devel-5.12.2-1.mga6.x86_64.rpm Devel stuff for plasma-workspace
lib64plasma3-4.14.35-1.mga6.x86_64.rpm KDE 4 core library
lib64plasmacomicprovidercore1-5.12.2-1.mga6.x86_64.rpm kdeplasma-addons library
lib64plasmapotdprovidercore1-5.12.2-1.mga6.x86_64.rpm kdeplasma-addons library
lib64pluma-gir1.0-1.18.3-1.mga6.x86_64.rpm GObject Introspection interface description for pluma
lib64png-devel-1.6.34-1.mga6.x86_64.rpm Development tools for programs to manipulate PNG image format files
lib64png16_16-1.6.34-1.mga6.x86_64.rpm A library of functions for manipulating PNG image format files
lib64poppler-cpp-devel-0.52.0-3.1.mga6.x86_64.rpm Development files for poppler-cpp
lib64poppler-cpp-devel-0.52.0-3.2.mga6.x86_64.rpm Development files for poppler-cpp
lib64poppler-cpp-devel-0.52.0-3.3.mga6.x86_64.rpm Development files for poppler-cpp
lib64poppler-cpp-devel-0.52.0-3.5.mga6.x86_64.rpm Development files for poppler-cpp
lib64poppler-cpp-devel-0.52.0-3.6.mga6.x86_64.rpm Development files for poppler-cpp
lib64poppler-cpp-devel-0.52.0-3.7.mga6.x86_64.rpm Development files for poppler-cpp
Advertisement
Advertisement